## 报警系统数据表

# 报警条目表

DROP TABLE IF EXISTS `alarm_item`;

CREATE TABLE alarm_item (
    id varchar(40) NOT NULL PRIMARY KEY COMMENT '',
    code varchar(40) NOT NULL COMMENT '报警条目编码（6位数字）',
    name varchar(255) NULL COMMENT '报警条目名称',
    project_id varchar(40) NULL COMMENT '项目ID',
    alarm_category varchar(100) NULL COMMENT '报警分类',
    level varchar(40) NULL COMMENT '严重程度 S A B C D 五级',
    valid int NULL COMMENT '有效状态',
    create_user varchar(40) NULL COMMENT '创建用户',
    create_time timestamp NULL COMMENT '创建时间',
    update_user varchar(40) NULL COMMENT '更新用户',
    update_time timestamp NULL COMMENT '更新时间',
    remark varchar(500) NULL COMMENT '备注'
) COMMENT '报警条目表';

# 报警记录表

DROP TABLE IF EXISTS `alarm_record`;

CREATE TABLE alarm_record (
    id varchar(40) NOT NULL PRIMARY KEY,
    code varchar(40) NULL COMMENT '报警条目编码',
    project_id varchar(50) NULL COMMENT '项目id',
    object_id varchar(50) NULL COMMENT '对象id',
    level varchar(10) NULL COMMENT '严重程度 S A B C D 五级',
    status varchar(50) NULL COMMENT '状态',
    create_time varchar(14) NULL COMMENT '创建时间',
    recover_time varchar(14) NULL COMMENT '恢复时间',
    remark varchar(500) NULL COMMENT '备注'
) COMMENT '报警记录表';